using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;

namespace Decal.Interop.Net;

[ComImport]
[Guid("03F3E2D0-7026-4C11-988A-4B3C58C71917")]
[TypeLibType(4160)]
[SuppressUnmanagedCodeSecurity]
public interface IWebRequest
{
	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	[DispId(1610743808)]
	void Get([MarshalAs(UnmanagedType.BStr)] string strURL);

	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	[DispId(1610743809)]
	void Post([MarshalAs(UnmanagedType.BStr)] string strURL, [MarshalAs(UnmanagedType.BStr)] string strPostData);
}
